package com.atlassian.webdriver.bitbucket.element;

import com.atlassian.pageobjects.elements.WebDriverLocatable;
import com.atlassian.pageobjects.elements.timeout.TimeoutType;
import org.openqa.selenium.By;

public class ErrorDialog extends Dialog {
    
    public static final String cssClass = "error-dialog";

    public ErrorDialog(By locator) {
        super(locator);
    }

    public ErrorDialog(By locator, TimeoutType timeoutType) {
        super(locator, timeoutType);
    }

    public ErrorDialog(WebDriverLocatable locatable, TimeoutType timeoutType) {
        super(locatable, timeoutType);
    }

    public void clickOk() {
        clickMainAction();
    }

}
